interface TableData<T> {
    headers: string[];
    rows: T[];
}
interface RowData {
    [header: string]: string;
}
type TableParserFactory<T extends RowData> = (html: string) => TableParser<T>;
type TableParser<T extends RowData> = () => TableData<T>;
declare function createTableParser<T extends RowData>(): TableParserFactory<T>;

export { RowData, TableParserFactory, createTableParser };
